package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserGroupDetail;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserGroupDetail] 服务对象接口
 */
public interface IUserGroupDetailClientService{

    public IUserGroupDetail createModel() ;

    public void get(IUserGroupDetail usergroupdetail);

    public void getDraft(IUserGroupDetail usergroupdetail);

    public void create(IUserGroupDetail usergroupdetail);

    public void save(IUserGroupDetail usergroupdetail);

    public void checkKey(IUserGroupDetail usergroupdetail);

    public void update(IUserGroupDetail usergroupdetail);

    public void remove(IUserGroupDetail usergroupdetail);

    public Page<IUserGroupDetail> fetchDefault(SearchContext context);

}
